package com.fs.ipad.enums;

public enum ErrCodeEnum {
   CODE_86001(86001, "非法群ID"),
   CODE_86216(86216, "非法群成员(请确认账号是否在群内)"),
   CODE_2(2, "当前客户端版本较低，请升级到最新版本后再试"),
   SUCCESS(0, "ok"),
   ERR_1(-1, ""),
   ERR_9(-9, ""),
   ERR_11(-11, "操作失败请重试"),
   ERR_104(-104, "请求失败：无群邀请开关权限"),
   ERR_202(-202, "请求失败：请在手机上操作复现后反馈管理员"),
   ERR_401(-401, "登录过期"),
   ERR_1007(-1007, ""),
   ERR_2001(-2001, "参数错误:(添加群成员为好友时群ID错误)"),
   ERR_2003(-2003, "参数错误:(群ID为0)"),
   ERR_2007(-2007, "扫码授权过期，请重新登录(手机端点击退出或者账号登录其他客户端操作导致)"),
   ERR_2009(-2009, "帐号环境出现异常，请重新登录使用。"),
   ERR_2013(-2013, "目标好友非单向好友"),
   ERR_2014(-2014, "请求失败：对方无外部联系人权限，无法添加到通讯录"),
   ERR_2015(-2015, ""),
   ERR_2016(-2016, "请求失败：为方便对方准确识别你，添加好友前请先完成实名认证。"),
   ERR_2024(-2024, "请求失败：无外部联系人权限"),
   ERR_2038(-2038, "你的客户数已达上限，无法添加客户"),
   ERR_2054(-2054, "添加请求已过期，添加失败"),
   ERR_2068(-2068, "未认证企业仅可添加200位外部联系人，认证后可继续添加"),
   ERR_3004(-3004, "请求失败：已不在群会话中"),
   ERR_3015(-3015, "请求失败：当前用户不在群内无法进行退出"),
   ERR_3017(-3017, "请求失败：无移除群成员权限"),
   ERR_3020(-3020, "请求失败：群不存在"),
   ERR_3039(-3039, "保存失败"),
   ERR_3066(-3066, "外部成员无法加入内部群聊"),
   ERR_3074(-3074, "请求失败：请在手机上操作复现后反馈管理员"),
   ERR_3514(-3514, "该用户已被你加入黑名单，请先解除黑名单，再添加为好友"),
   ERR_4014(-4014, "请求失败：非正常好友关系"),
   ERR_4018(-4018, "对方已离职，无法发送消息"),
   ERR_4020(-4020, "请求失败：暂不支持的好友ID"),
   ERR_4022(-4022, "请求失败：由于系统升级，该功能无法使用，请升级版本"),
   ERR_4027(-4027, "消息撤回失败(与微信或者群内含有微信号只能撤回2分钟内的消息)"),
   ERR_4032(-4032, "客户已转接给其他成员跟进，你无法继续提供服务"),
   ERR_4044(-4044, "对方已拉黑"),
   ERR_4048(-4048, "请求失败：消息发送过于频繁，请稍后再试"),
   ERR_4061(-4061, "外部联系人规模达到上限"),
   ERR_6000(-6000, ""),
   ERR_7009(-7009, "请求失败"),
   ERR_11001(-11001, "登录态过期，请重新登录"),
   ERR_11002(-11002, "登录态过期，请重新登录"),
   ERR_11004(-11004, "登录态过期，请重新登录"),
   ERR_11007(-11007, "登录态过期，请重新登录"),
   ERR_11025(-11025, "新设备扫码授权验证"),
   ERR_12007(-12007, "获取过期空数据"),
   ERR_12022(-12022, "验证码错误"),
   ERR_17701(-17701, "GlobalVer参数异常，请重新获取"),
   ERR_200001(-200001, "用户投诉，此帐号因涉嫌违法或违规已被禁止登录"),
   ERR_1000888(-1000888, "非法的权限：无权限进行当前操作"),
   ERR_1000999(-1000999, "请求频率异常"),
   ERR_1800002(-1800002, "当前发送消息涉及违法，违规，以及血腥等内容。"),
   ERR_1800012(-1800012, "本群涉嫌违法或违规，已被暂停使用"),
   ERR_1900001(-1900001, "无Wx身份验证"),
   ERR_1900002(-1900002, "无接收权限"),
   ERR_1900003(-1900003, "服务器内部错误"),
   ERR_1900004(-1900004, "支付失败"),
   ERR_1900005(-1900005, "WxAuth无效"),
   ERR_1900006(-1900006, "参数无效"),
   ERR_1900014(-1900014, "排名列表年份无效"),
   ERR_1900015(-1900015, "WX风险控制错误"),
   ERR_1900016(-1900016, "不支持的wx版本"),
   ERR_1900017(-1900017, "没有红包共享权限"),
   ERR_1900018(-1900018, "账号已禁用"),
   ERR_1900019(-1900019, "无效的公司支付历史"),
   ERR_1900020(-1900020, "历史已付款"),
   ERR_1900021(-1900021, "历史已过期"),
   ERR_1900022(-1900022, "历史取消"),
   ERR_1900023(-1900023, "历史网络错误默认值"),
   ERR_5103011(-5103011, "DNS IP已过期"),
   ERR_5103017(-5103017, "FileType不匹配"),
   ERR_5103059(-5103059, "CDN参数已过期"),
   ERR_7470202(-7470202, "账号已开启防泄漏功能，不能使用普通文件发送模式"),
   ERR_18000028(-18000028, "请求失败"),
   ERR_18000029(-18000029, "添加群成员失败"),
   ERR_18000039(-18000039, "添加好友过于频繁，请稍后再重试"),
   ERR_18000040(-18000040, "添加条件不成立，例如名片添加推送人和被推送人不是好友关系"),
   ERR_18000043(-18000043, "对方不允许通过群聊添加好友"),
   ERR_18000088(-18000088, "请使用微信授权登录后再试"),
   ERR_18000093(-18000093, "本群因违规已被限制使用"),
   ERR_18000095(-18000095, "查找失败，请先实名认证"),
   ERR_18000125(-18000125, ""),
   ERR_18020000(-18020000, "设备ID已被清除"),
   ERR_18020001(-18020001, "设备ID已被禁用"),
   ERR_24001003(-24001003, "暂无使用权限"),
   ERR_24001014(-24001014, "企业服务的学员总数已达上限，无法添加学员，需联系管理员申请扩容"),
   ERR_24001048(-24001048, "未验证企业仅可邀请200位外部联系人进群，验证后可继续邀请"),
   ERR_24001069(-24001069, "可生效群聊数不可超过100个"),
   ERR_24001099(-24001099, "资源格式不支持"),
   ERR_24001155(-24001155, ""),
   ERR_24001156(-24001156, "暂无法添加，企业当前客户数已到外部联系人规模上限，在移动端“工作台-客户联系-外部联系人规模”中提升后即可添加"),
   ERR_99999998(-99999998, "官方服务端错误，请稍后重试"),
   ERR_99999999(-99999999, "发送消息失败，服务器错误，请重试");

   private final Integer code;
   private final String msg;

   public static String getErrMsg(Integer errCode) {
      if (errCode == null) {
         return "未知的服务端错误";
      } else {
         ErrCodeEnum[] var1 = values();
         int var2 = var1.length;

         for(int var3 = 0; var3 < var2; ++var3) {
            ErrCodeEnum errCodeEnum = var1[var3];
            if (errCodeEnum != null && errCodeEnum.getCode().equals(errCode)) {
               return errCodeEnum.msg;
            }
         }

         return "未知的服务端错误";
      }
   }

   public static boolean isLogout(Integer errCode) {
      return ERR_11002.getCode().equals(errCode) || ERR_11004.getCode().equals(errCode);
   }

   public static boolean isLoginExpire(Integer errCode) {
      return ERR_11001.getCode().equals(errCode) || ERR_401.getCode().equals(errCode);
   }

   public static boolean isSuccess(Integer errCode) {
      return SUCCESS.getCode().equals(errCode);
   }

   public static boolean isFail(Integer errCode) {
      return !isSuccess(errCode);
   }

   public static boolean isNewErrCode(Integer errCode) {
      if (errCode == null) {
         return false;
      } else {
         ErrCodeEnum[] var1 = values();
         int var2 = var1.length;

         for(int var3 = 0; var3 < var2; ++var3) {
            ErrCodeEnum errCodeEnum = var1[var3];
            if (errCodeEnum != null && errCodeEnum.getCode().equals(errCode)) {
               return false;
            }
         }

         return true;
      }
   }

   private ErrCodeEnum(final Integer code, final String msg) {
      this.code = code;
      this.msg = msg;
   }

   public Integer getCode() {
      return this.code;
   }

   public String getMsg() {
      return this.msg;
   }
}
